summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--conf.d/hwclock14
-rw-r--r--init.d/hwclock.in4
2 files changed, 7 insertions, 11 deletions
diff --git a/conf.d/hwclock b/conf.d/hwclock
index a94cdb2..448c2d9 100644
--- a/conf.d/hwclock
+++ b/conf.d/hwclock
@@ -4,18 +4,14 @@
# you should set it to "local".
clock="UTC"
-# If you want to set the Hardware Clock to the current System Time
-# (software clock) during shutdown, then say "YES" here.
-# You normally don't need to do this if you run a ntp daemon.
-clock_systohc="NO"
-
# If you want to set the system time to the current hardware clock
# during bootup, then say "YES" here. You do not need this if you are
# running a modern kernel with CONFIG_RTC_HCTOSYS set to y.
-# Also, be aware that if you set this to "NO", the system time will
-# never be saved to the hardware clock unless you set
-# clock_systohc="YES" above.
-clock_hctosys="YES"
+#clock_hctosys="YES"
+
+# If you want to set the hardware clock to the current system time
+# (software clock) during shutdown, set this to yes.
+#clock_systohc="NO"
# If you wish to pass any other arguments to hwclock during bootup,
# you may do so here. Alpha users may wish to use --arc or --srm here.
diff --git a/init.d/hwclock.in b/init.d/hwclock.in
index cfb25ae..7f2323a 100644
--- a/init.d/hwclock.in
+++ b/init.d/hwclock.in
@@ -94,7 +94,7 @@ start()
"$utc_cmd" != --utc -o \
-n "$clock_args" ];
then
- if yesno $clock_hctosys; then
+ if yesno ${clock_hctosys:-YES}; then
_hwclock --hctosys $utc_cmd $clock_args
else
_hwclock --systz $utc_cmd $clock_args
@@ -111,7 +111,7 @@ stop()
{
# Don't tweak the hardware clock on LiveCD halt.
[ -n "$CDBOOT" ] && return 0
- yesno $clock_systohc || return 0
+ yesno ${clock_systohc:-NO} || return 0
local retval=0 errstr=""
setupopts